// ==UserScript==
// @name				Show availability on the Blackwell Collection Manager
// @description			Enabling this option will display availability information at the EPFL Library (paper or online) for titles found on the Blackwell Collection Manager.
// @author				Thomas Guignard
// @tab					General
// @enabledbydefault	true
// @include				http://cm8.blackwell.com/*
// @require				epflshared.js
// ==/UserScript==


// Version 0.6
// By T. Guignard <thomas.guignard@epfl.ch> - Apr 11
// Originally based upon the Kearney Library extension: https://addons.mozilla.org/fr/firefox/addon/2876

(

function()
{

try 
    {
	// First, let's locate all titles displayed on this page
	var titleList = getElementsByClass('itemTable', document, 'table');
	//dump('[blackwell cm8] Found ' + titleList.length + ' titles\n');
	
	// Let's loop through all text nodes (if there's a better method, I haven't found it yet)
		var textnodes = document.evaluate( "//body//text()", document, null, XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE, null);
		for (var i = 0; i < textnodes.snapshotLength; i++) {
			node = textnodes.snapshotItem(i);
			// The ISBN value is after "ISBN:"
			try
				{
					var matchValue = node.nodeValue.match(/(ISBN:)/)[2];
					// if we get this far, it means that we found the ISBN label. The actual ISBN is in the next sibling
					var isbnNode = node.parentNode.nextSibling;
					var isbn = isbnNode.firstChild.nodeValue
					//dump('[blackwell cm8] Found ISBN ' + isbn + '\n');
					libraryLookup(isbn, isbnNode);
				}
			catch (e)
				{
				}
		}
	
	}	
catch (e)
    { dump(e + '\n');
	  return; }

}
)();
