// ==UserScript==
// @name				Show availability on Electre
// @description			Enabling this option will display availability information at the EPFL Library (paper or online) for titles found on the Electre Catalog.
// @author				Thomas Guignard
// @tab					General
// @enabledbydefault	true
// @include				http://www.electre.com/*
// @require				epflshared.js
// ==/UserScript==

// Version 0.4
// By T. Guignard <thomas.guignard@epfl.ch> - Apr 11
// Originally based upon the Kearney Library extension: https://addons.mozilla.org/fr/firefox/addon/2876

(
	
function()
{

try 
    {
	// First, we locate a DIV id=rechercheList, which contains the displayed titles
	var listTable, tBody, titlesList, thisTitle;
	listTable = document.getElementById('searchResults');
	if (listTable != null) {
		//dump('[electre v2] adding button\n');
		var testbutton = document.createElement('INPUT');
		testbutton.setAttribute('type', 'button');
		testbutton.setAttribute('name', 'ELLbutton');
		testbutton.setAttribute('value', 'Check availability');
		testbutton.addEventListener("click", ELLClickHandler, false);
		listTable.appendChild(testbutton);
		}
	else {
		//Should be a product page
		ElectreTitlePage();
		}
	}	
catch (e)
    { return; }

function ELLClickHandler(){
    var isbn;
	// Let's loop through all text nodes (if there's a better method, I haven't found it yet)
	var textnodes = document.evaluate( "//body//text()", document, null, XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE, null);
	//dump('[electre v2-ELLClick] looking for ISBNs...\n');
	for (var i = 0; i < textnodes.snapshotLength; i++) {
		node = textnodes.snapshotItem(i);
		if(isbn=node.nodeValue.match(/(978-)?[0-9\-]{13}/)){
				//dump('[electre v2-ELLClick] Found isbn:' + isbn[0] + '\n');
				libraryLookup(isbn[0], node);
				}
		}
	}
	
function ElectreTitlePage(){
	// Let's loop through all text nodes (if there's a better method, I haven't found it yet)
	// Every page has an EAN in ISBN-13 format
	var isbn;
	var textnodes = document.evaluate( "//body//text()", document, null, XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE, null);
	//dump('[electre v2-ElectreTitlePage] looking for ISBNs...\n');
	
		for (var i = 0; i < textnodes.snapshotLength; i++) {
			node = textnodes.snapshotItem(i);
			if(isbn=node.nodeValue.match(/(978)[0-9]{10}/)){
				//dump('[electre v2-ElectreTitlePage] Found isbn:' + isbn[0] + '\n');
				libraryLookup(isbn[0], node);
				}
		}

	
		// Add a listener to run the code when the user pages through results using nav arrows
		var arrow1 = document.getElementById('ctl00_mainBody_FirstNav');
		var arrow2 = document.getElementById('ctl00_mainBody_PreviousNav');
		var arrow3 = document.getElementById('ctl00_mainBody_NextNav');
		var arrow4 = document.getElementById('ctl00_mainBody_LastNav');
		arrow1.addEventListener("click", function(){setTimeout(function(){ElectreTitlePage();},1000);} , false);
		arrow2.addEventListener("click", function(){setTimeout(function(){ElectreTitlePage();},1000);} , false);
		arrow3.addEventListener("click", function(){setTimeout(function(){ElectreTitlePage();},1000);} , false);
		arrow4.addEventListener("click", function(){setTimeout(function(){ElectreTitlePage();},1000);} , false);
		
	} 
	
}

)();
