// ==UserScript==
// @name				Show availability on eyrolles.com
// @description			Enabling this option will display availability information at the EPFL Library (paper or online) for titles found on Eyrolles.
// @author				Thomas Guignard
// @tab					General
// @enabledbydefault	true
// @include				http://www.eyrolles.com/*
// @require				epflshared.js
// ==/UserScript==

// Version 0.5
// By T. Guignard <thomas.guignard@epfl.ch> - Feb 12
// Originally based upon the Kearney Library extension: https://addons.mozilla.org/fr/firefox/addon/2876

(

function()
{

// First, we'll have to handle title pages and pages with mutliple titles differently	
try 
    { var isbn = window.content.location.href.match(/\/Livre\/([0-9a-zA-Z-]+)(\d{13})/)[2];
		// If it's a title page, there's the word "Livre" in the URL
		//dump('[eyrolles] Found ISBN = ' + isbn + '\n');
		
		var titleDiv = document.getElementById('description');
		//dump('[eyrolles] Found ' + titleDiv + '\n');
		var addithere = titleDiv.children[0].firstChild;
		
		libraryLookup(isbn, addithere);
		
	}
catch (e)
    { 
		// If no EAN is found, we're not on a title page, so let's hunt for titles in a results list
		
		var titleList = getElementsByClass('listePrincipale', document, 'li');
		//dump('[eyrolles] Found ' + titleList.length + ' titles\n');
		for (var i = 0; i < titleList.length; i++) {
			var thisLine = getElementsByClass('centre', titleList[i], 'div');
			var thisLink = thisLine[0].childNodes[1].firstChild;
			//dump('[eyrolles] Node = ' + thisLink + '\n');
			var thisLinkValue = thisLink.getAttributeNode('href').nodeValue;
			//dump('[eyrolles] Found link = ' + thisLinkValue + '\n');
			try
				{
				var isbn = thisLinkValue.match(/\/Livre\/([0-9a-zA-Z-]+)(\d{13})/)[2];
				//dump('[eyrolles] Found ISBN = ' + isbn + '\n');
				libraryLookup(isbn, titleList[i].firstChild);
				}
			catch(e)
				{
				// Ok, forget this one
				}
		}
	return; }

}
)();
